Bug 431466 - nspluginwrapper wraps 64 bit plugins and breaks javascript support
nspluginwrapper wraps 64 bit plugins and breaks javascript support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: nspluginwrapper (Show other bugs)
8
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-04 14:28 EST by Kevin DeKorte
Modified: 2008-04-01 17:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.9.91.5-18.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-01 17:34:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin DeKorte 2008-02-04 14:28:13 EST
Description of problem:
I have a couple of plugins that I maintain: mplayerplug-in and
gecko-mediaplayer. On my 64bit machine the plugins work fine without
nsplugginwrapper installed. I install nspluginwrapper to get flash support and
the javascript breaks. If I edit /etc/sysconfig/nspluginwrapper and add
gecko-media* or mplayerplug-in* to the list of plugins not to wrap, my plugins
work properly again. So nspluginwrapper should only wrap 32 bit plugins on 64
bit machines and should not even be installed on 32 bit machines



Version-Release number of selected component (if applicable):

nspluginwrapper-0.9.91.5-17.fc8
How reproducible:
100%

Steps to Reproduce:
1. install a plugin and run mozilla-plugin -i
2.
3.
  
Actual results:
javascript interface for the plugins becomes non-functional


Expected results:
javascript interface should continue to work after install

Additional info:
Comment 1 Kevin DeKorte 2008-02-04 14:28:54 EST
should be 'mozilla-plugin-config -i' 
Comment 2 Martin Stransky 2008-02-19 12:13:12 EST
wrapped mplayerplug-in works fine for me (on a 32bit box). What happens? Can i
reproduce it?
Comment 3 Kevin DeKorte 2008-02-19 12:31:01 EST
The plugin works fine, but the javascript interface to it does not work.

http://mplayerplug-in.sourceforge.net/testing/testvid.html

The buttons on that test page should all work. I found that when the plugin was
wrapped those buttons do not work, and when it was unwrapped the did work.
Again, there is not a real reason to install nspluginwrapper on a 32bit machine.
Comment 4 Martin Stransky 2008-02-20 06:20:52 EST
I've tested the wrapped and unwrapped mplayer plug-in but the buttons don't work
in any case. 
Comment 5 Kevin DeKorte 2008-02-20 08:06:41 EST
sounds like the .xpt files are not in the correct location. I did find that if I
adding :mplayerplug-in* to IGNORE_WRAP in /etc/sysconfig/nspluginwrapper and
then run mozilla-plugin-config -r and then mozilla-plugin-config -i, then it
appears to work correctly. What this does is nspluginwrapper installs the .so
and .xpt files to the place that nspluginwrapper put the plugins, but it doesn't
wrap them.

I found this when trying to get a 64bit mplayerplug-in working on a 64bit
browser and wanting to have 32 bit flash support working.

I've also found that this solution works for gecko-mediaplayer as well. You can
find gecko-mediaplayer at http://dekorte.homeip.net/download
Comment 6 Julian Sikorski 2008-02-20 08:16:23 EST
And the Fedora packages here:
http://bugzilla.livna.org/show_bug.cgi?id=1868
http://bugzilla.livna.org/show_bug.cgi?id=1869

Keep in mind they obsolete mplayerplug-in.
Comment 7 Martin Stransky 2008-02-20 09:52:01 EST
xpt files are installed to /usr/lib64/mozilla/components/ and wrapper doesn't
touch them...
Comment 8 Kevin DeKorte 2008-02-20 10:24:24 EST
I think that is the problem, for some reason the .xpt files are not seen and
therefore the javascript interface is not loaded for the plugins. I found that
generally the .xpt files need to be in the same directory as the plugin and have
the same name. I know it is not supposed to work that way, but it appears that
it helps.
Comment 9 Martin Stransky 2008-02-20 10:32:11 EST
If so it's a packaging problem and even the fedora mplayerplug-in package won't
work...
Comment 10 Julian Sikorski 2008-02-20 10:40:48 EST
Please try the packages I posted links to. I'm not going to fix mplayerplug-in
packaging issues if it is going to be obsoleted anyway.
Comment 11 Warren Togami 2008-02-20 12:12:13 EST
Note, see Bug #189628 for more on Flash javascript integration bugs.
Comment 12 Martin Stransky 2008-02-26 06:48:45 EST
Flash can't be integrated with javascript and wrapped by nspluginwrapper in the
same time - the wrapper shields browser memory.
Comment 13 Warren Togami 2008-02-26 12:10:55 EST
Actually, as of the latest Flash version they somehow rewrote the plugin to use
a different interface.  Javascript does work for me in the x86_64 Firefox (with
the bugs mentioned in Bug #189628).
Comment 14 Martin Stransky 2008-03-11 09:49:43 EDT
added to nspluginwrapper-0.9.91.5-26.fc9
Comment 15 Julian Sikorski 2008-03-20 04:39:48 EDT
Martin, could you add that fix to F-8 branch as well?
Comment 16 Fedora Update System 2008-03-31 11:02:10 EDT
nspluginwrapper-0.9.91.5-18.fc8 has been submitted as an update for Fedora 8
Comment 17 Fedora Update System 2008-04-01 17:34:08 EDT
nspluginwrapper-0.9.91.5-18.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.